# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

Gem::Specification.new do |spec|
  spec.name          = "kickstand"
  spec.version       = "1.6.3"
  spec.authors       = ["Raphael Santos"]
  spec.email         = ["qsantos.raphael@gmail.com"]
  spec.summary       = "Fast and distributed workflow runner based on ActiveJob and Mongo"
  spec.description   = "Kickstand is a parallel workflow runner using Mongo as storage and ActiveJob for executing jobs."
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = "kickstand"
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "activejob", ">= 4.2.7", "< 7.0"
  spec.add_dependency "multi_json", ">= 1.11"
  spec.add_dependency "ruby-graphviz", "~> 1.2"
  spec.add_dependency "redis", ">= 4.2.1"
  spec.add_dependency "mongoid", ">= 6.0.0"
  spec.add_dependency "redis-classy", "~> 2.4.1"
  spec.add_dependency "terminal-table", "~> 1.4"
  spec.add_dependency "colorize", ">= 0.7"
  spec.add_dependency "thor", "~> 1"
  spec.add_dependency "launchy", "~> 2.4"
  spec.add_dependency "activesupport"
  spec.add_development_dependency "bundler"
  spec.add_development_dependency "timecop"
  spec.add_development_dependency "rake", "~> 10.4"
  spec.add_development_dependency "rspec", '~> 3.13'
  spec.add_development_dependency "pry-byebug"
  spec.add_development_dependency "database_cleaner-mongoid"
end
