require "bundler/setup"

require "graphviz"
require "mongoid"
require "pathname"
require "redis"
require "redis-classy"
require 'multi_json'
require 'active_job'

require "kickstand/json"
require "kickstand/cli"
require "kickstand/cli/overview"
require "kickstand/graph"
require "kickstand/client"
require "kickstand/configuration"
require "kickstand/overrides/set_with_timestamp"
require "kickstand/job"
require "kickstand/worker"
require "kickstand/enqueuer_worker"
require "kickstand/delayed_workflow_creator_worker"
require "kickstand/workflow"

module Kickstand
  def self.kickstandfile
    configuration.kickstandfile
  end

  def self.root
    Pathname.new(__FILE__).parent.parent
  end

  def self.configuration
    @configuration ||= Configuration.new
  end

  def self.configure
    yield configuration
  end
end
