require 'active_job'

module Kickstand
  class DelayedWorkflowCreatorWorker < ::ActiveJob::Base
    def perform(workflow_klass, args, enqueuer_frequency, parallel_execs, auto_destroy, starts_at)
      decoded_args = Kickstand::JSON.decode(args)
      workflow = workflow_klass.constantize.create(decoded_args, enqueuer_frequency: enqueuer_frequency, parallel_execs: parallel_execs, auto_destroy: auto_destroy, starts_at: starts_at)
      workflow.start! if !workflow.scheduled?
    end
  end
end
