require 'spec_helper'

describe Kickstand::Configuration do

  it "has defaults set" do
    subject.kickstandfile = KICKSTANDFILE
    expect(subject.redis_opts).to eq({ :connect_timeout=> 0.5, :read_timeout=> 1, :url=> "redis://localhost:6379", :write_timeout=> 2 })
    expect(subject.namespace).to eq('kickstand')
    expect(subject.kickstandfile).to eq(KICKSTANDFILE.realpath)
  end

  describe "#configure" do
    it "allows setting options through a block" do
      Kickstand.configure do |config|
        config.redis_opts  = { url: "redis://localhost" }
      end

      expect(Kickstand.configuration.redis_opts[:url]).to eq("redis://localhost")
    end
  end
end
