require 'spec_helper'

describe Kickstand::EnqueuerWorker do
  describe "retrying" do
    it "retries" do
      allow_any_instance_of(FailJob).to receive(:perform).and_call_original
      workflow = FailRetryWorkflow.create(auto_destroy: false)
      workflow.start!
      while ActiveJob::Base.queue_adapter.enqueued_jobs.any? do
        perform_one
      end
      workflow = Kickstand::Workflow.find(workflow.id)
      expect(workflow.finished?).to eq(true)
      # Job is allowed_to_fail, so it succeeded
      expect(workflow.status).to eq("succeeded")
      # Check the job executed the correct # times
      job = workflow.find_job("FailJob")
      expect(job.number_of_executions).to eq(3)
    end
  end
end
