require 'spec_helper'

describe Kickstand do
  describe ".kickstandfile" do
    let(:path) { Pathname("/tmp/Kickstandfile.rb") }

    context "Kickstandfile is missing from pwd" do
      it "returns nil" do
        path.delete if path.exist?
        Kickstand.configuration.kickstandfile = path

        expect(Kickstand.kickstandfile).to eq(nil)
      end
    end

    context "Kickstandfile exists" do
      it "returns Pathname to it" do
        FileUtils.touch(path)
        Kickstand.configuration.kickstandfile = path
        expect(Kickstand.kickstandfile).to eq(path.realpath)
        path.delete
      end
    end
  end

  describe ".root" do
    it "returns root directory of Kickstand" do
      expected = Pathname.new(__FILE__).parent.parent
      expect(Kickstand.root).to eq(expected)
    end
  end

  describe ".configure" do
    it "runs block with config instance passed" do
      expect { |b| Kickstand.configure(&b) }.to yield_with_args(Kickstand.configuration)
    end
  end

end
